# $Revision: 1.35 $, $Date: 2008/07/27 22:57:10 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires working $DISPLAY)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	Beat
Summary:	Time::Beat perl module
Summary(pl.UTF-8):	Moduł perla Time::Beat
Name:		perl-Time-Beat
Version:	1.21
Release:	2
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	effbcb318952fe3ed876200ec22626d6
Source1:	cc-license.html
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time::Beat allows to convert from standard time to swatch 'beat' time.

%description -l pl.UTF-8
Time::Beat pozwala na konwersję czasu w standardowym formacie na format
'swatcha'.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE
%{perl_vendorlib}/Time/Beat.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-Beat.spec,v $
Revision 1.35  2008/07/27 22:57:10  arekm
- release 2

Revision 1.34  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.32  2004/11/03 22:30:52  paladine
- formatting

Revision 1.31  2004/10/24 17:05:51  paladine
- spelling fixes, uppercases, etc.

Revision 1.30  2004/05/06 18:21:24  ankry
- fixed perl-devel BR

Revision 1.29  2004/05/03 21:04:52  ankry
- added tests and license file

Revision 1.28  2003/09/18 13:22:22  adamg
- updated to 1.21

Revision 1.27  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 21:35:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:39:02  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:35:20  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:21:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:37:13  depesz
adapterized

Revision 1.13  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:17:41  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 21:49:53  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:24  pius
- updated to 1.02

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
